/**
 * @file ybrush.h
 * @brief ɤĤ֤°(֥饷)
 *
 * @author Yashiro Takeshi <yashiromann@nifty.com> 
 * @date 2004-01-28
 *
 * Copyright (C) 2003-2004, Yashiro Takeshi
 */

#ifndef DEFINE_H_YBRUSH
#define DEFINE_H_YBRUSH

#include <btron/dp.h>
#include <btron/hmi.h>

#include "ycolor.h"
#include "ystationery.h"


/** ɤĤ֤°(֥饷)δ
 *
 * ɤĤ֤°(֥饷)뤿Υ饹ǤŪˤϡ
 * PAT¤ΤʤɤΥåѤȤʤäƤޤ
 */
class YBrush : public YStationery {
  friend class YGraphic;

public:
  /** 󥹥ȥ饯
   *
   * ֥饷֥Ȥۤޤ
   * @param lm ⡼ (ܺ٤setDrawingModeؿ򻲾)
   */
  YBrush(W lm = G_STORE) : YStationery(lm) {
    pat.spat.kind = 0;
    pat.spat.hsize = 16;
    pat.spat.vsize = 16;
    
    setFgColor(YColor(0,0,0));
    setBgColor(YColor(255,255,255));
    
    pat.spat.mask = FILL100;
  }

  /// ǥȥ饯
  virtual ~YBrush() {
    if (pat.spat.mask < FILL0 || pat.spat.mask > FILL100){
      delete [] pat.spat.mask;
    }
  }
  
  /** ֥饷ο
   *
   * ֥饷ʿꤷޤ
   * @param col ʿ
   */
  void setFgColor(YColor col) {
    // : PATο˺줺Ѥ뤳
    fgcol = col;
    pat.spat.fgcol = col.getColorValue();
  }

  /** ֥饷طʿ
   *
   * ֥饷طʿꤷޤ
   * @param col طʿ
   */
  void setBgColor(YColor col) {
    // : PATο˺줺Ѥ뤳
    bgcol = col;
    pat.spat.bgcol = col.getColorValue();
  }

  /// ޥѥλ
  void setMask(UB* mask, W rx = 0, W ry = 0);
  
  //void createBitmapBrush(YBitmap *bmp);
  
protected:

private:
  /// PAT¤
  PAT pat;

  // BMP bitmap? ... ݤ
  
};

#endif // DEFINE_H_YBRUSH
