/**
 * @file yscrollwindow.h
 * @brief 륦ɥ
 *
 * @author Yashiro Takeshi <yashiromann@nifty.com> 
 * @date 2004-01-30
 *
 * Copyright (C) 2003-2004, Yashiro Takeshi
 */

#ifndef DEFINE_H_YSCROLLWINDOW
#define DEFINE_H_YSCROLLWINDOW

#include <basic.h>
#include <bstdlib.h>
#include <tcode.h>
#include <errcode.h>
#include <btron/btron.h>
#include <btron/dp.h>
#include <btron/hmi.h>
#include <btron/vobj.h>
#include <btron/tip.h>
#include <btron/libapp.h>
#include <tstring.h>

#include "ywindow.h"
#include "ygraphic.h"
#include "yrect.h"
#include "ypoint.h"

/** 륦ɥ
 * 
 * Сĥɥ򰷤饹ǤYWindow饹
 * Ʊ͡С饤ɤƻѤ뤳Ȥꤵޤ
 *
 * ޤԤƤ餺ѤǤޤ
 */
class YScrollWindow : public YWindow {

public:
  ////////////////////
  // 󥹥ȥ饯 (ɥϳʤ)
  YScrollWindow();
  ////////////////////
  // ǥȥ饯 (ɥƤϼưŪĤ)
  //virtual ~YWindow();
  ////////////////////
  // ΰѹ
  void setWorkArea(YRect rect);
  ////////////////////
  // ΰѹ
  YRect getWorkArea();
  
protected:
  
private:
  ////////////////////
  // ΰ
  YRect workArea;
};

#endif // DEFINE_H_YSCROLLWINDOW
